Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=manchester&country_abbreviation=gb&expand=listings&expand_listing_date_gte=2026-08-14&expand_listing_event_eq=Sold&filter_expand_match=all&page=1&province_abbreviation=eng&results_per_page=3&select=address,property_type,interior_sq_m,estimate_sale_price"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'manchester');
url.searchParams.set('country_abbreviation', 'gb');
url.searchParams.set('expand', 'listings');
url.searchParams.set('expand_listing_date_gte', '2026-08-14');
url.searchParams.set('expand_listing_event_eq', 'Sold');
url.searchParams.set('filter_expand_match', 'all');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'eng');
url.searchParams.set('results_per_page', '3');
url.searchParams.set('select', 'address,property_type,interior_sq_m,estimate_sale_price');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 0.99000007,
"data": [
{
"address": "35 Lawson Street",
"estimate_sale_price": 184375,
"interior_sq_m": 80.0,
"listings": [
{
"expand_estimate_list_price": 182000,
"expand_listing_date": "2026-08-14",
"expand_listing_event": "Sold",
"property_id": "100e94d1e6bef420"
}
],
"property_id": "100e94d1e6bef420",
"property_type": "Townhouse"
},
{
"address": "609 5 Piccadilly Place",
"estimate_sale_price": 178850,
"interior_sq_m": 48.0,
"listings": [
{
"expand_estimate_list_price": 185000,
"expand_listing_date": "2026-08-21",
"expand_listing_event": "Sold",
"property_id": "1084401a9ee5aa01"
}
],
"property_id": "1084401a9ee5aa01",
"property_type": "Apartment"
},
{
"address": "58 Reddish Lane",
"estimate_sale_price": 170003,
"interior_sq_m": 80.0,
"listings": [
{
"expand_estimate_list_price": 182500,
"expand_listing_date": "2026-09-21",
"expand_listing_event": "Sold",
"property_id": "112d5e60e0421b8a"
}
],
"property_id": "112d5e60e0421b8a",
"property_type": "Townhouse"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 87
},
"price_quote": false,
"result_total": 259,
"time_ms": 294,
"ui_info": {
"city": "Manchester",
"city_id": "311dc539c85e1c6b",
"city_link": "gb/eng/manchester",
"city_slug": "manchester",
"country": "United Kingdom",
"country_abbreviation": "GB",
"country_abbreviation_id": "90882893598cc98f",
"country_abbreviation_link": "gb",
"country_slug": "united_kingdom",
"province": "England",
"province_abbreviation": "ENG",
"province_abbreviation_id": "5336aa935fab8e24",
"province_abbreviation_link": "gb/eng",
"province_slug": "england"
}
}